ARG BASE_IMAGE_TAG=act-24.04

FROM ghcr.io/catthehacker/ubuntu:${BASE_IMAGE_TAG}

ARG IMAGE_CREATED
ARG IMAGE_VERSION
ARG IMAGE_REVISION

LABEL org.opencontainers.image.created="${IMAGE_CREATED}" \
    org.opencontainers.image.authors="MouseSoft" \
    org.opencontainers.image.url="https://git.mousesoft.ru/ms/gitea-runner-images" \
    org.opencontainers.image.documentation="https://git.mousesoft.ru/ms/gitea-runner-images/src/branch/main/README.md" \
    org.opencontainers.image.source="https://git.mousesoft.ru/ms/gitea-runner-images" \
    org.opencontainers.image.version="${IMAGE_VERSION}" \
    org.opencontainers.image.revision="${IMAGE_REVISION}" \
    org.opencontainers.image.vendor="MouseSoft" \
    org.opencontainers.image.licenses="MIT" \
    org.opencontainers.image.title="MouseSoft Gitea Actions runner images" \
    org.opencontainers.image.description="MouseSoft docker images used by act_runner to run workflows."

RUN apt-get update --allow-insecure-repositories && \
    apt-get install -y --allow-unauthenticated build-essential debhelper dh-exec \
    dpkg-dev dput-ng fakeroot gawk locales sed && \
    rm -rf /var/lib/apt/lists/*
